/* palace-control.h - Palace low-level device functions
 *
 * $Id: palace-control.h, v1.0 2002/06/07 18:25:16 nitroglycerine Exp $
 * 
 */

#ifndef _PALACE_CONTROL_H_
#define _PALACE_CONTROL_H_

/* Types */

/* Preliminary structure for output device plugins */
typedef struct {
	char name[32];			/* i.e. "Linux parport interface" */
	int num_binary_outputs;		/* currently always 8 */
	int num_analog_outputs;		/* currently unused */
	char *binary_output_names;	/* unused */
	char *analog_output_names;	/* unused */
	/* add here anything else that comes to mind... */
	void *local_data;		/* for the output plugin's use */
} palace_output_t;

/* Functions from palace-control.c */
int palace_control_init();
void palace_control_cleanup();
void palace_control_output(unsigned char value);

int palace_control_init_ppdev();
void palace_control_cleanup_ppdev();
void palace_control_output_ppdev(unsigned char value);

int palace_control_init_ppraw();
void palace_control_cleanup_ppraw();
void palace_control_output_ppraw(unsigned char value);


/* Variables */
extern gboolean send_ok;


#endif /* _PALACE_CONTROL_H_ */

